API Reference
AI video translation — query render API
GET
video-translation-synthesis-query-api
ID 36
Query a video-translation render task.
GET
https://xiaoapis.com/api/video_translation/query_synthesis
Overview
- task 查询
Use cases
- 轮询合成进度
Conventions
- Gateway ·
https://xiaoapis.com - Auth · send
key(query or JSON body, as this API specifies) - Response · JSON. Check the business code and the HTTP status, not only HTTP 200
Authentication
Send the platform API key (query parameter key or JSON field key, as this page specifies). Create one in API key management.
GET https://xiaoapis.com/api/video_translation/query_synthesis
Content-Type: application/json
{
"key": "YOUR_API_KEY"
}
Request example
https://xiaoapis.com/api/video_translation/query_synthesis?task_id=你的task_id&key=你的密钥
Details
请求参数说明:
| 名称 | 必填 | 类型 | 示例值 | 说明 |
|---|---|---|---|---|
| task_id | 是 | string | synthesis-task-456 | 创建合成任务时返回的task_id |
返回参数:
| task_id | string | 任务ID |
| status | int | 任务状态 |
| result.audio_url | string | 合成后的音频URL |
Response example
{"code":200,"msg":"查询成功","data":{"task_id":"synthesis-task-456","status":2,"progress":100,"result":{"audio_url":"https://example.com/synthesized_audio.mp3"}}}
FAQ
何时调用?
创建合成任务后轮询直至结束。
成功后做什么?
拿到合成产物后调用导出任务生成成片。
参数?
Key + task_id。
状态含义?
见文档枚举。
超时?
拉长轮询间隔并设置业务超时告警。
Related APIs
Full console doc (with the debugger):/doc/36